.woocommerce a.button,
.woocommerce button.button,
.add_to_cart_button{

    background:var(--primary)!important;

    color:white!important;

    border-radius:50px!important;

    border:none!important;

    padding:15px 28px!important;

}

.mini-cart{

    position:fixed;

    top:0;
    right:-450px;

    width:430px;

    height:100vh;

    background:white;

    z-index:99999;

    transition:.4s;

    box-shadow:
    -10px 0 50px rgba(0,0,0,.08);

}

.mini-cart.active{

    right:0;

}

.mini-cart-overlay{

    position:fixed;

    inset:0;

    background:rgba(0,0,0,.45);

    opacity:0;

    visibility:hidden;

    transition:.3s;

}

.mini-cart-overlay.active{

    opacity:1;

    visibility:visible;

}